Name:           gnome-hearts
Version:        0.3
Release:        8%{?dist}
Summary:        Hearts game for GNOME
Group:          Amusements/Games
License:        GPLv2+ and GFDL
URL:            http://www.jejik.com/gnome-hearts/
Source0:        http://www.jejik.com/files/gnome-hearts/gnome-hearts-%{version}.tar.gz
Patch0:         gcc46-warnings.patch
Patch1:         desktop-file.patch

BuildRequires:  libgnomeui-devel
BuildRequires:  libglade2-devel
BuildRequires:  python-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
# For %%{_bindir}/scrollkeeper-config
BuildRequires:  scrollkeeper

%description
An implementation of the classic hearts card game for the GNOME desktop,
featuring configurable rulesets and editable computer opponents to satisfy
widely diverging playing styles.

%prep
%setup -q
%patch0 -p0 -b .gcc46
%patch1 -p0 -b .desktop

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-gnome


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING COPYING-DOCS README NEWS AUTHORS TODO
%{_bindir}/gnome-hearts
%{_datadir}/applications/gnome-hearts.desktop
%{_datadir}/gnome-hearts
%{_mandir}/man6/gnome-hearts.6*
%{_datadir}/pixmaps/gnome-hearts.png
%{_datadir}/pixmaps/gnome-hearts


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb  7 2011 Christopher Aillon <caillon@redhat.com> - 0.3-7
- Fix up the .desktop file and build cleanly against gcc 4.6

* Wed Jul 28 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-6
- Add BR: scrollkeeper

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3-2
- Rebuild for Python 2.6

* Fri Nov  7 2008 Christopher Aillon <caillon@redhat.com> - 0.3-1
- Update to 0.3

* Sat Mar  1 2008 Christopher Aillon <caillon@redhat.com> - 0.2.1-1
- Update to 0.2.1
- Package cleanups I noticed in Richi's earlier package attempt

* Fri Nov 23 2007 Richi Plana <richip@richip.dhs.org> - 0.2-3.svn163
- Pre-generated "configure" script
- Added find_lang macro
- Used desktop-file-install in install

* Wed Nov 21 2007 Richi Plana <richip@richip.dhs.org> - 0.2-2.svn163
- Added BuildRequires to satisfy SVN build.
- Fixed rpmlint warning of unstripped-binary.

* Sat Nov 17 2007 Richi Plana <richip@richip.dhs.org> - 0.2-1.svn163
- Initial attempt at packaging.

